<?php
include("../fnc.php");
enlinea_c();

$id_ev_origen=$id_evaluacion;//  Viene del formulario
//echo $id_evaluacion;


$qev=mysql_query("select * from evaluaciones where id = '$id_ev_origen'");
$iev=mysql_fetch_array($qev);


$quen=runsql("select en_numeros from unidades_grados where id = '{$iev[unidad]}'");
$iuen=registro($quen);
$unidad_ennumeros=$iuen[en_numeros];
// cursos a los que hay que hacerles la replica -- hacer que el ciclo lea los cursos


//while($i=mysql_fetch_array($q)){
$micontador=0;
for($cn=1;$cn<=$maxc;$cn++){
  $tmp="curso".$cn;
  $tmpseccion="seccion".$cn;
  unset($i);
  
  if(!$$tmp){
    continue;
  }else{
    //echo "replicar a: ".$$tmp."<br>";
    $i[codigo]=$$tmp;
    $i[seccion]=$$tmpseccion;
  }   
  //continue;
  $micontador++;

  $str.="'{$i[codigo]}',";
  $qtmpunidad=mysql_query("select grado from cursos_grados where curso = '{$i[codigo]}'");
  $itmpunidad=mysql_fetch_array($qtmpunidad);
  $qunidad=mysql_query("select * from unidades_grados where grado = '{$itmpunidad[grado]}' and en_numeros = '$unidad_ennumeros'");
  if(registros($qunidad)==0){
    echo "No se replicó la evaluación $iev[nombre] para el grado: {$itmpunidad[grado]}<br>";
    continue;
  }
  $iunidad=mysql_fetch_array($qunidad);
  
  $iev2[nombre]=$iev[nombre];
  $iev2[fecha_inicio]=$iev[fecha_inicio];
  $iev2[fecha_fin]=$iev[fecha_fin];
  $iev2[hora_inicio]=$iev[hora_inicio];
  $iev2[hora_fin]=$iev[hora_fin];
  $iev2[oportunidades]=$iev[oportunidades];
  $iev2[mostrar_resultados]=$iev[mostrar_resultados];
  $iev2[resultados_nc]=$iev[resultados_nc];
  $iev2[tiempo_maximo]=$iev[tiempo_maximo];
  $iev2[activa]="S";
  $iev2[curso]=$i[codigo];
  $iev2[usuario]=$iev[usuario];
  $iev2[codigo]=$iev[codigo];
  $iev2[instrucciones]=$iev[instrucciones];
  $iev2[seccion]=$i[seccion];
  $iev2[unidad]=$iunidad[id];
  $iev2[valor_zona]=$iev[valor_zona];
  $iev2[valor_examen]=$iev[valor_examen];
  $iev2[zona]=$iev[zona];
  $iev2[examen]=$iev[examen];
  $iev2[oculta]=$iev[oculta];
  $iev2[otros_cursos]="";
  
  
  $id_nev=insertar("evaluaciones",$iev2,0);
  
  //echo "Se insertó una nueva evaluación con ID: $id_nev";
  //****
  //$id_nev=rand(0,100); //comentar esta linea
  //****
  $qpr=mysql_query("select * from ev_m_preguntas where evaluacion = '$id_ev_origen'");
  while($ipr=mysql_fetch_array($qpr)){
    $npr[pregunta]=$ipr[pregunta];
    $npr[valor]=$ipr[valor];
    $npr[evaluacion]=$id_nev;
    $npr[con_tiempo]=$ipr[con_tiempo];
    $npr[minutos]=$ipr[minutos];
    $npr[segundos]=$ipr[segundos];
    $npr[fecha]=$ipr[fecha];
    $id_npr=insertar("ev_m_preguntas",$npr,0);
    //****
    //$id_npr=rand(0,100); //comentar esta linea
    //****
    
    $qresp=mysql_query("select * from ev_m_opciones where pregunta = '{$ipr[id]}'");
    while($iresp=mysql_fetch_array($qresp)){
       unset($nresp);
       $nresp[pregunta]=$id_npr;
       $nresp[opcion]=$iresp[opcion];
       $nresp[correcta]=$iresp[correcta];
       
       $id_nresp=insertar("ev_m_opciones",$nresp,0);
       
    }//ciclo de opciones m
  }//fin del ciclo de preguntas m

// preguntas directas
  $qpr=mysql_query("select * from ev_d_preguntas where evaluacion = '$id_ev_origen'");
  while($ipr=mysql_fetch_array($qpr)){
    $npr[pregunta]=$ipr[pregunta];
    $npr[valor]=$ipr[valor];
    $npr[evaluacion]=$id_nev;
    $npr[con_tiempo]=$ipr[con_tiempo];
    $npr[minutos]=$ipr[minutos];
    $npr[segundos]=$ipr[segundos];
    $npr[fecha]=$ipr[fecha];
    $id_npr=insertar("ev_d_preguntas",$npr,0);
    //****
    //$id_npr=rand(0,100); //comentar esta linea
    //****
    
    $qresp=mysql_query("select * from ev_d_opciones where pregunta = '{$ipr[id]}'");
    while($iresp=mysql_fetch_array($qresp)){
       unset($nresp);
       $nresp[pregunta]=$id_npr;
       $nresp[opcion]=$iresp[opcion];
       $nresp[correcta]=$iresp[correcta];
       
       $id_nresp=insertar("ev_d_opciones",$nresp,0);
       
    }//ciclo de opciones m
  }//fin del ciclo de preguntas m
// fin de preguntas directas
  
} // fin del ciclo de los cursos

alert("Se replicaron las evaluaciones para $micontador cursos","index2.php?op=frm_replicar_evaluacion");
?>
